New rails app post upgrade to rails 3 : Uninitialized constant bundler

Below is the Passenger backtrace to an app I’m making in the Agile Web
Development Tutorial. I’m at the Hello World point. Nothing fancy. The
server it’s on is hosting an older rails application that is still
working properly. I already tried reinstalling the bundler. Here’s the
trace:

RubyGems Environment:
  - RUBYGEMS VERSION: 1.3.7
  - RUBY VERSION: 1.8.7 (2010-08-16 patchlevel 301) [x86_64-linux]
  - INSTALLATION DIRECTORY: /usr/local/lib/ruby/gems/1.8
  - RUBY EXECUTABLE: /usr/local/bin/ruby
  - EXECUTABLE DIRECTORY: /usr/local/bin
  - RUBYGEMS PLATFORMS:
    - ruby
    - x86_64-linux
  - GEM PATHS:
     - /usr/local/lib/ruby/gems/1.8
     - /root/.gem/ruby/1.8
  - GEM CONFIGURATION:
     - :update_sources => true
     - :verbose => true
     - :benchmark => false
     - :backtrace => false
     - :bulk_threshold => 1000
     - "gem" => "--no-ri --no-rdoc"
     - :sources => ["http://gemcutter.org",

http://gems.rubyforge.org”]
- REMOTE SOURCES:
- http://gemcutter.org
- http://gems.rubyforge.org
[[email protected] ~]# rails -v
Rails 3.0.3
[[email protected] ~]#